# Count Records

The CopyStorm/Medic Count Records tool performs a comparison of object record counts in Salesforce versus CopyStorm. This tool is provided as a sanity check for backup validation, to provide assurance that CopyStorm is copying all records properly.

## Run Count Records in a GUI

To access the Count Records GUI:

* Select “Other Tools” from the top-level menu.
* Select “Database Validation”, then “Count Records”

The UI for the Count Records tool contains four parts:

* The left-hand side of the dialog is used to select the tables to scan.
* The top part of the dialog has the following parameters:
  * of Tables to Process Concurrently.
    * Specifies how many tables the tool will process in parallel. Higher values may improve performance but increase resource usage.
  * Output To CSV *(checkbox).*
    * If checked, headless runs of Count Records will output tool results to STDOUT and Database Logs in CSV-compliant format.
* The lower part of the dialog displays the progress of a record count analysis as it happens.
* If an error is detected, a button will appear in the lower right hand corner. Click on the button to see error details and/or export the errors to a file.

![](/files/Xigb7x0L7rWc9LUXOsSz)

## Running Count Records as a Batch Job

* Windows
  * `CopyStormMedic.bat -tool countRecords -run configFile.copyStormMedic`
* Linux / Mac OS
  * `sh CopyStormMedic.sh -tool countRecords -run configFile.copyStormMedic`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/reference/copystorm-medic/count-records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
